/* MenuB.C,v 1.5 1996/03/08 04:46:25 pgw Exp */
/*
 Copyright (C) 1993, 1994 Jettero Heller
 Copyright (C) 1994, 1995 Peter Williams
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public License 
 version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public
 License along with this library; see the file COPYING.  If not,
 write to the Free Software Foundation, Inc., 675 Mass Ave, 
 Cambridge, MA 02139, USA.
*/

#include <Xarm/MenuB.h>

/* MenuButton member functions */
MenuButton::MenuButton(Widget w_parent, char *str, KeySym mn, _XtString name):
   PulldownMenu(w_parent),
   button(w_parent,str,name)
{
   button.subMenuId(*this);
   if(mn != 0) button.mnemonic(mn);
}

MenuButton::MenuButton(_XtString name, Widget w_parent):
   PulldownMenu(w_parent),
   button(name, w_parent)
{
   button.subMenuId(*this);
}

