/* MenuShell.C,v 1.3 1995/11/30 04:19:22 pgw Exp */
/*
 Copyright (C) 1993, 1994 Jettero Heller
 Copyright (C) 1994, 1995 Peter Williams
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public License 
 version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public
 License along with this library; see the file COPYING.  If not,
 write to the Free Software Foundation, Inc., 675 Mass Ave, 
 Cambridge, MA 02139, USA.
*/

#include <Xarm/MenuShell.h>

void 
MenuShellClass::buttonFontList(XmFontList fl)
{
   XtVaSetValues(widget(),XmNbuttonFontList,fl,NULL);
}

XmFontList 
MenuShellClass::buttonFontList() 
{
   XmFontList fl;
   XtVaGetValues(widget(),XmNbuttonFontList,&fl,NULL);
   return fl;
}

XmFontList 
MenuShellClass::defaultFontList()
{
   XmFontList fl;
   XtVaGetValues(widget(),XmNdefaultFontList,&fl,NULL);
   return fl;
}

void 
MenuShellClass::labelFontList(XmFontList fl)
{
   XtVaSetValues(widget(),XmNlabelFontList,fl,NULL);
}

XmFontList 
MenuShellClass::labelFontList()
{
   XmFontList fl;
   XtVaGetValues(widget(),XmNlabelFontList,&fl,NULL);
   return fl;
}

