/* SeparatoG.C,v 1.6 1996/03/08 04:46:37 pgw Exp */
/*
 Copyright (C) 1993, 1994 Jettero Heller
 Copyright (C) 1994, 1995 Peter Williams
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public License 
 version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public
 License along with this library; see the file COPYING.  If not,
 write to the Free Software Foundation, Inc., 675 Mass Ave, 
 Cambridge, MA 02139, USA.
*/

#include <Xarm/SeparatoG.h>
/* SeparatorGadgetClass member functions */

void 
SeparatorGadgetClass::margin(Dimension m)
{
   XtVaSetValues(widget(), XmNmargin, m, NULL);
}

Dimension
SeparatorGadgetClass::margin()
{
   Dimension d;
   XtVaGetValues(widget(), XmNmargin, &d, NULL);
   return d;
}

void 
SeparatorGadgetClass::orientation(unsigned char o)
{
   XtVaSetValues(widget(), XmNorientation, o, NULL);
}

unsigned char
SeparatorGadgetClass::orientation()
{
   unsigned char c;
   XtVaGetValues(widget(), XmNorientation, &c, NULL);
   return c;
}

void 
SeparatorGadgetClass::separatorType(unsigned char s)
{
   XtVaSetValues(widget(), XmNseparatorType, s, NULL);
}

unsigned char
SeparatorGadgetClass::separatorType()
{
   unsigned char c;
   XtVaGetValues(widget(), XmNseparatorType, &c, NULL);
   return c;
}

/* constructors */
SeparatorGadget::SeparatorGadget(Widget w_parent, 
                                 ArgList arglist,
                                 Cardinal cnt,
                                 _XtString name)
{
   Widget w = createWidget(name, w_parent, arglist, cnt);
   widget(w);
   manage();
}

SeparatorGadget::SeparatorGadget(_XtString name, Widget w_parent)
{
   Widget w = createWidget(name, w_parent);
   widget(w);
   manage();
}
/* */
