/* Display.C,v 1.5 1995/11/30 04:19:04 pgw Exp */
/*
 Copyright (C) 1993, 1994 Jettero Heller
 Copyright (C) 1994, 1995 Peter Williams
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public License 
 version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public
 License along with this library; see the file COPYING.  If not,
 write to the Free Software Foundation, Inc., 675 Mass Ave, 
 Cambridge, MA 02139, USA.
*/


/* Include(s): */
#include <Xarm/Display.h>

WDisplay getWDisplay(Display *d)
{
   d = d;
   return NULL;
}

#if defined(HAVE_DVB)
void 
DisplayClass::defaultVirtualBindings(_XtString s)
{
   XtVaSetValues(widget(), XmNdefaultVirtualBindings, s, NULL);
}

_XtString 
DisplayClass::defaultVirtualBindings()
{
   _XtString s;
   XtVaGetValues(widget(), XmNdefaultVirtualBindings, &s, NULL);
   return s;
}
#endif

void 
DisplayClass::dragInitiatorProtocolStyle(unsigned char c)
{
   XtVaSetValues(widget(), XmNdragInitiatorProtocolStyle, c, NULL);
}

unsigned char 
DisplayClass::dragInitiatorProtocolStyle()
{
   unsigned char c;
   XtVaGetValues(widget(), XmNdragInitiatorProtocolStyle, &c, NULL);
   return c;
}

void 
DisplayClass::dragReceiverProtocolStyle(unsigned char c)
{
   XtVaSetValues(widget(), XmNdragReceiverProtocolStyle, c, NULL);
}

unsigned char 
DisplayClass::dragReceiverProtocolStyle()
{
   unsigned char c;
   XtVaGetValues(widget(), XmNdragReceiverProtocolStyle, &c, NULL);
   return c;
}

