/* TopLevelS.C,v 1.4 1995/11/30 04:19:46 pgw Exp */
/*
 Copyright (C) 1993, 1994 Jettero Heller
 Copyright (C) 1994, 1995 Peter Williams
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public License 
 version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public
 License along with this library; see the file COPYING.  If not,
 write to the Free Software Foundation, Inc., 675 Mass Ave, 
 Cambridge, MA 02139, USA.
*/


/* Include(s): */
#include <Xarm/Shell.h>

/* TopLevelShellClass Members */
void 
TopLevelShellClass::realize() 
{ 
   XtRealizeWidget(widget()); 
}

void 
TopLevelShellClass::unrealize() 
{ 
   XtUnrealizeWidget(widget()); 
}

void 
TopLevelShellClass::iconic(Boolean cond)
{
   XtVaSetValues(widget(), XmNiconic, cond, NULL);
}

void
TopLevelShellClass::iconName(_XtString str)
{
   /* notice no translation to XmString here */
   XtVaSetValues(widget(),XmNiconName,str, NULL);
}

void
TopLevelShellClass::iconNameEncoding(Atom eve)
{
   XtVaSetValues(widget(),XmNiconNameEncoding,eve, NULL);
}

